=== debian/changelog ===
ros-kinetic-gazebo-ros (2.5.21-1xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 05 Apr 2021 17:30:37 -0000

ros-kinetic-gazebo-ros (2.5.20-1xenial) xenial; urgency=high

  * Add required parameter to empty_world nodes (#1074 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1074>)
  * Reorder fields initialization to match initialization order in .h file (#987 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/987>)
    This change fixes -Wreorder warnings. More on -Wreorder:
    https://stackoverflow.com/questions/1828037/whats-the-point-of-g-wreorder
  * Contributors: Mabel Zhang, aeneev

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 08 May 2020 07:00:00 -0000

ros-kinetic-gazebo-ros (2.5.19-1xenial) xenial; urgency=high

  * Add output arg to launch files, plus some small fixes (#905 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/905>)
    * Add output arg to empty_world
    * add output arg to elevator_world
    * add output arg to range_world
    * don't set use_sim_time in range_world
    Instead parse it to empty world, where it will be set.
    * add xml prolog to all launch files
    * Remove unnecessary arg in range_world.launch
  * Contributors: Matthijs van der Burgh

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 04 Jun 2019 07:00:00 -0000

ros-kinetic-gazebo-ros (2.5.18-1xenial) xenial; urgency=high

  * Fix typo exist -> exists (#833 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/833>)
  * Fix issue #198 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/198>
    (#823 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/823>)
  * Contributors: Daniel Ingram, Jack Liu, Steven Peters

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 23 Jan 2019 08:00:00 -0000

ros-kinetic-gazebo-ros (2.5.17-1xenial) xenial; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 07 Jun 2018 07:00:00 -0000

ros-kinetic-gazebo-ros (2.5.16-1xenial) xenial; urgency=high

  * Use generic SIGINT parameter in kill command for gazebo script (kinetic-devel) (#723 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/723>)
    * Use generic SIGINT parameter in kill command for gazebo script
    * redirect to kill command to std_err
  * strip comments from parsed urdf (#695 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/695>)
    Remove comments from urdf before trying to find packages. Otherwise non-existant packages will produce a fatal error, even though they are not used.
  * Merge pull request #672 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/672> from ros-simulation/gzclient_verbose
    Pass verbose argument to gzclient
  * Merge pull request #670 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/670> from ros-simulation/add_ros_api_plugin_to_gzclient
    Load the libgazebo_ros_api_plugin when starting gzclient
  * Pass verbose argument to gzclient
  * Load the libgazebo_ros_api_plugin when starting gzclient so that the ROS event loop will turn over, which is required when you have a client-side Gazebo plugin that uses ROS.
  * Contributors: Brian Gerkey, Jose Luis Rivero, Steven Peters, azhural, chapulina

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 04 Jun 2018 07:00:00 -0000

ros-kinetic-gazebo-ros (2.5.15-1xenial) xenial; urgency=high

  * Fix last gazebo8 warnings! (#658 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/658>)
  * Fix for relative frame errors (#605 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/605>)
  * Fix gazebo8 warnings part 10: ifdefs for GetModel, GetEntity, Light (#656 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/656>)
  * gazebo8 warnings: ifdefs for Get.*Vel() (#653 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/653>)
  * Prevents GAZEBO_MODEL_DATABASE_URI from being overwritten (#644 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/644>)
  * Fix gazebo8 warnings part 7: ifdef's for Joint::GetAngle and some cleanup (#642 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/642>)
  * Contributors: Hamza Merzić, R, Steven Peters

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 12 Feb 2018 08:00:00 -0000

ros-kinetic-gazebo-ros (2.5.14-1xenial) xenial; urgency=high

  * for gazebo8+, call functions without Get (#639 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/639>)
  * Fix gazebo8 warnings part 5: ignition math in gazebo_ros (#635 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/635>)
  * Fix gazebo8 warnings part 4: convert remaining local variables in plugins to ign-math (#633 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/633>)
  * gazebo_ros: fix support for python3 (#622 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/622>)
  * gazebo_ros_api_plugin: improve plugin xml parsing (#625 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/625>)
  * Replace Events::Disconnect* with pointer reset (#623 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/623>)
  * Install spawn_model using catkin_install_python (#621 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/621>)
  * [gazebo_ros] don't overwrite parameter "use_sim_time" (#606 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/606>)
    * Parameter /use_sim_time is only set if not present on Parameter Server
  * Contributors: Jose Luis Rivero, Manuel Ilg, Mike Purvis, Nils Rokita, Steven Peters

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 11 Dec 2017 08:00:00 -0000

ros-kinetic-gazebo-ros (2.5.13-1xenial) xenial; urgency=high

  * Quote arguments to echo in libcommon.sh (#590 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/590>)
  * Add catkin package(s) to provide the default version of Gazebo (#571 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/571>)

