=== debian/control ===
Source: ros-kinetic-gazebo-ros
Section: misc
Priority: optional
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), libtinyxml-dev, ros-kinetic-catkin, ros-kinetic-cmake-modules, ros-kinetic-dynamic-reconfigure, ros-kinetic-gazebo-dev, ros-kinetic-gazebo-msgs, ros-kinetic-geometry-msgs, ros-kinetic-roscpp, ros-kinetic-rosgraph-msgs, ros-kinetic-roslib, ros-kinetic-std-msgs, ros-kinetic-std-srvs, ros-kinetic-tf
Homepage: http://gazebosim.org/tutorials?cat=connect_ros
Standards-Version: 3.9.2

Package: ros-kinetic-gazebo-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libtinyxml-dev, ros-kinetic-dynamic-reconfigure, ros-kinetic-gazebo-dev, ros-kinetic-gazebo-msgs, ros-kinetic-geometry-msgs, ros-kinetic-roscpp, ros-kinetic-rosgraph-msgs, ros-kinetic-roslib, ros-kinetic-std-msgs, ros-kinetic-std-srvs, ros-kinetic-tf
Description: Provides ROS plugins that offer message and service publishers for interfacing with Gazebo through ROS.
 Formally simulator_gazebo/gazebo
